//
//  AdTimingBidError.h
//  AdTimingBidSDK
//
//  Created by ylm on 2020/4/15.
//  Copyright © 2020 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM (NSInteger, AdTimingBidRequestErrorCode) {
    AdTimingBidRequestErrorCodeSDKNotInitialized    = 401,
    AdTimingBidRequestErrorCodeNetworkError         = 402,
    AdTimingBidRequestErrorCodeTimeOut              = 403,
    AdTimingBidRequestErrorCodeServerError          = 404,
    AdTimingBidRequestErrorCodeNoBid                = 405,
};



typedef NS_ENUM (NSInteger, AdTimingBidLossedReasonCode) {
    
    AdTimingBidLossedReasonCodeInternalError    = 1,
    AdTimingBidLossedReasonCodeTimeOut          = 2,
    AdTimingBidLossedReasonCodeInvalidBid       = 3,
    AdTimingBidLossedReasonCodeNotHiggestBidder = 102,
    
};

NS_ASSUME_NONNULL_END
